
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: A high-level cross-protocol url-grabber
Name: python-urlgrabber
Version: 3.10.2
Release: 1
License: LGPLv2+
Group: Development/Libraries
Url: http://urlgrabber.baseurl.org/
Source0: http://urlgrabber.baseurl.org/download/urlgrabber-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: python-devel >= 2.7.13-1
BuildRequires: python-pycurl >= 7.43.0-1
Provides: urlgrabber = %{version}-%{release}
Provides: python2-urlgrabber = %{version}-%{release}
Requires: python >= 2.7.13-1
Requires: python-pycurl >= 7.43.0-1

%define _libdir64 %{_prefix}/lib64

%description
A high-level cross-protocol url-grabber for python supporting HTTP, FTP 
and file locations.  Features include keepalive, byte ranges, throttling,
authentication, proxies and more.


%prep
%setup -q -n urlgrabber-%{version}
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}
(
  cd ${RPM_BUILD_ROOT}%{_bindir}
  for f in * ; do
    mv ${f} ${f}_64
  done
)
mv ${RPM_BUILD_ROOT}%{_libdir} ${RPM_BUILD_ROOT}%{_libdir64} 

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/urlgrabber-%{version}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/ChangeLog 32bit/README 32bit/TODO
%{_bindir}/*
%attr(0755,root,system) %{_libexecdir}/urlgrabber-ext-down
%{python_sitelib}/*
%{python_sitelib64}/*
/usr/bin/*


%changelog
* Thu Feb 23 2017 Michael Perzl <michael@perzl.org> - 3.10.2-1
- updated to version 3.10.2

* Wed Feb 01 2017 Michael Perzl <michael@perzl.org> - 3.10.1-1
- first version for AIX V5.1 and higher
